Set gitreview username and setup remote gerrit
[releng/builder.git] / jjb / autorelease / branch-cut.sh
index 02df34e2214174dad41b8811c561c7a0fed7acfc..fd0055f6a475823f116a5743bb3d5901bda21b34 100644 (file)
@@ -30,10 +30,14 @@ set -eu -o pipefail
 
 # Validate inputs
 if [ -z "$RELEASE" ]; then
-    echo "ERROR: RELEASE variable most be set to a release name. Eg Carbon"
+    echo "ERROR: RELEASE variable must be set to a release name. Eg Carbon"
     exit 1
 fi
 
+git config gitreview.username jenkins-releng
+git submodule foreach git review -s
+git review -s
+
 # --- Start create new maintenance branch
 echo "---> Creating new mainenance branch"
 git submodule foreach git fetch origin